Package com.smartgwt.client.types

# Enum Side

java.lang.Object
java.lang.Enum<Side>
com.smartgwt.client.types.Side

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<Side>`, `Constable`

public enum Side extends Enum<Side> implements ValueEnum
Side of a component.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  Bottom side
  `LEFT`
  Left side
  `RIGHT`
  Right side
  `TOP`
  Top side

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static Side`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Side[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final Side LEFT
    Left side

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "left".

  - ### RIGHT

    public static final Side RIGHT
    Right side

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "right".

  - ### TOP

    public static final Side TOP
    Top side

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "top".

  - ### BOTTOM

    public static final Side BOTTOM
    Bottom side

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "bottom".

- ## Method Details

  - ### values

    public static Side[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Side valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`